﻿<!DOCTYPE HTML>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="Pragma" content="no-cache">
	<meta http-equiv="Cache-Control" content="no-cache">
	<meta http-equiv="Expires" CONTENT="0">
	<meta http-equiv="X-UA-Compatible" content="IE=8, IE=9">
	<title>Vertiv G3</title>
	<link rel="stylesheet" type="text/css" href="../css/skin.2013.css?v=2.2.10">
	<link rel="stylesheet" type="text/css" href="../css/skin./*[ID_CSS_LAN]*/.css?v=2.2.10">
	<!--[if lt IE 8]><script type="text/javascript">document.execCommand("BackgroundImageCache", false, true);</script><![endif]-->
</head>
<!--[if !IE]><body><![endif]-->
<!--[if lte IE 8]><body class="ltIE8"><![endif]-->
<div id="ModuleLoading" class="ModuleLoading"><span id="LoadingContent" class="LoadingContent">/*[ID_INDEX_TIPS1]*/</span></div>
<div id="wrapper">
<div id="headertop">
    <div id="alarm" class="alarm"></div>
</div>
  <div id="header"></div>
  <div id="container">
    <div id="sider"></div>
    <div id="content">
      <div id="main">
	  	<div id="mainBar"></div>
	  	<div id="mainContent"></div>
	  </div>
      <div id="siderinfo"><i></i></div>
    </div>
  </div> 
  <div id="footer">
    <div id="SystemTime"><span  class='iframe_system_time'></span></div>
    <div class="copyright">&copy;/*[ID_COPYRIGHT]*/</div>
  </div>
</div>
<div style="display:none">
    <!--缓存主页图片，加快更新速度，避免页面刷新时出现闪烁-->
    <img src='../images/current_hor_right.gif'/>
    <img src='../images/current_turn_down.gif'/>
    <img src='../images/current_turn_up.gif'/>
    <img src='../images/current_up_right.gif'/>
    <img src='../images/current_ver_down.gif'/>
    <img src='../images/current_ver_up.gif'/>
</div>
<script id="tmp_header" type="text/x-dot-template" charset="utf-8">
	<%var args= it.args,data = it.data ? it.data : it;%>
	<div class="header-loginInfo"><i></i>/*[ID_WELCOME]*/:<em><%=Configs.Data.content.header.userName%></em><a href="#" hideFocus="true" id="headerLogout">/*[ID_LOGOUT]*/</a></div>
    <div class="logo"></div>
</script>
<script id="tmp_sider" type="text/x-dot-template" charset="utf-8">
	<%var args= it.args,data = it.data ? it.data : it;%>
	<ul class="sider-list">
		<li class="menu-home"><a class="currentMenu" data='{"data":"/var/datas/data.index.html","template":"tmp.index.html","fn":"false,HomePage"}' hidefocus="true" href="#">/*[ID_HOME]*/</a></li>
        
        <li class="menu-setting"><a data='{"data":"/var/datas/data.install_wizard.html","template":"tmp.setting_tabs.html,tmp.install_wizard.html","fn":"date_time_picker_min,date_time_picker,Setting","render":"artTemplate"}' hidefocus="true" href="#">/*[ID_SETTINGS]*/</a></li>
        <li class="menu-hl"><a data='{"data":"/var/datas/data.history_log.html","template":"tmp.history_alarmlog.html","fn":"false,date_time_picker_min,date_time_picker,History","name":"HistoryDevice","render":"artTemplate"}' hidefocus="true" href="#">/*[ID_HISTORY_LOG]*/</a></li>
        
        <li class="menu-si"><a data='{"data":"/var/datas/data.system_inventory.html","template":"tmp.system_inventory.html","render":"artTemplate"}' hidefocus="true" href="#">/*[ID_SYSTEM_INVENTORY]*/</a></li>
        <%if(Number(args['level'])>=4){ %>
        <li class="menu-as"><a data='{"data":"/var/datas/data.install_wizard.html","template":"tmp.adv_setting_tabs.html,tmp.setting_ipv4.html","render":"doT"}' hidefocus="true" href="#">/*[ID_ADVANCED_SETTING]*/</a></li>
        <%} %>
        <%if(Number(args['level'])>=4 && jQuery.cookie("name")=="emersonadmin"){ %>
        <li class="menu-te"><a href="#" id='LinkToACU'>/*[ID_ENGINEER]*/</a></li>
        <%} %>
	</ul>
	<div class="sider-info">
		<dl>
            <dt>/*[ID_SYS_STATUS]*/</dt>
            <dd class="clearfix"><span>/*[ID_SYSTEM_VOLTAGE]*/</span><em id="SideVoltage"></em></dd>
            <dd class="clearfix"><span>/*[ID_SYSTEM_CURRENT]*/</span><em id="SideCurrent"></em></dd>
			<dd class="clearfix" style="display:none;"><span style="width:120px">/*[ID_CON_VOLT]*/</span><em id="SideConverterVoltage"></em></dd>
			<dd class="clearfix" style="display:none;"><span style="width:120px">/*[ID_CON_CURR]*/</span><em id="SideConverterCurrent"></em></dd>
			<dd class="clearfix" style="display:none;"><span style="width:120px">/*[ID_INVT_CURR]*/</span><em id="SideInverterCurrent"></em></dd>
			<dd class="clearfix" style="display:none;"><span style="width:120px">/*[ID_INVT_VOLT]*/</span><em id="SideInverterCurrent"></em></dd>
            <dt style="margin-top: 5px;">/*[ID_SYSTEM_SPECIFICATIONS]*/</dt>
            <dd class="clearfix"><span style="width:90px">/*[ID_TIPS14]*/</span><em id="SideSite"></em></dd>           
            <dd class="SiderController clearfix" <%if(!Configs.Sider.Controller[0] || Number(Configs.Sider.Controller[0])==0){%> style="display:none"<%} %> ><span>/*[ID_RECTIFIERS_NUMBER]*/</span><em><%=Configs.Sider.Controller[0] || "" %></em></dd>
            <dd class="SiderController clearfix" <%if(!Configs.Sider.Controller[1] || Number(Configs.Sider.Controller[1])==0){%> style="display:none"<%} %> ><span>/*[ID_CONVERTERS_NUMBER]*/</span><em><%=Configs.Sider.Controller[1] || "" %></em></dd>
            <dd class="SiderController clearfix" <%if(!Configs.Sider.Controller[2] || Number(Configs.Sider.Controller[2])==0){%> style="display:none"<%} %> ><span>/*[ID_MPPTS]*/</span><em><%=Configs.Sider.Controller[2] || "" %></em></dd>
            <dd class="SiderController clearfix" <%if(!Configs.Sider.Controller[1] || Number(Configs.Sider.Controller[1])==0){%> style="display:none"<%} %> ><span>/*[ID_INVERTERS_NUMBER]*/</span><em><%=Configs.Sider.Controller[3] || "" %></em></dd>
		</dl>
		<dl class="sider-info-ss">
			<dt>/*[ID_CONTROLLER_SPECIFICATIONS]*/</dt>
            <dd class="clearfix"><span>/*[ID_PRODUCT_MODEL]*/</span><em><%=data.system[0]%></em></dd>
            <dd class="clearfix"><span>/*[ID_SERIAL_NUMBER]*/</span><em><%=data.system[1]%></em></dd>
            <dd class="clearfix"><span title="/*[ID_HARDWARE_VERSION2]*/">/*[ID_HARDWARE_VERSION]*/</span><em><%=data.system[2]%></em></dd>
            <dd class="clearfix"><span>/*[ID_SOFTWARE_VERSION]*/</span><em><%=data.system[3]%></em></dd>
            <dd class="clearfix"><span title="/*[ID_CONFIGURATION_VERSION2]*/">/*[ID_CONFIGURATION_VERSION]*/</span><em><%=data.system[4]%></em></dd>
		</dl>
		<dl class="sider-info-ss">
			<dt>/*[ID_SITE_INFORMATION]*/</dt>
            <dd class="clearfix"><span>/*[ID_SITE_NAME]*/</span><em id="SiteName"></em></dd>
            <dd class="clearfix"><span>/*[ID_SITE_LOCATION]*/</span><em id="SiteLocation"></em></dd>
		</dl>
	</div>
    <div id='siderSwitch'><span></span><a href="#" hideFocus="true"></a></div>
</script>
<script id="tmp_mainBar" type="text/x-dot-template" charset="utf-8">
	<%var args= it.args,data = it.data ? it.data : it;%>
	<div class="mainBar-nav"><em></em><i>/*[ID_HOME1]*/</i><%if(data.navsp){%><%=data.navsp%><%};if(data.nav){%><%=data.nav%><%}%></div>
</script>
<script id="tmp_alarm" type="text/x-dot-template" charset="utf-8">
	<div class="alarm-bar">
		<ul class="alarm-tab">
			  <li class="<%if(it.AllAlarms==0){%>alarm-a2 <%}else{%>alarm-a <%}%>alarmPop"><span>/*[ID_ALL_ALARMS]*/(<em><%=it.AllAlarms%></em>)</span></li>
			  <li class="<%if(it.Observation==0){%>alarm-o2 <%}else{%>alarm-o <%}%>alarmPop"><span>/*[ID_OBSERVATION]*/(<em><%=it.Observation%></em>)</span></li>
			  <li class="<%if(it.Major==0){%>alarm-m2 <%}else{%>alarm-m <%}%>alarmPop"><span>/*[ID_MAJOR]*/(<em><%=it.Major%></em>)</span></li>
			  <li class="<%if(it.Critical==0){%>alarm-c2 <%}else{%>alarm-c <%}%>alarmPop"><span>/*[ID_CRITICAL]*/(<em><%=it.Critical%></em>)</span></li>
		</ul>
		<div class="alarm-auto"><input type="checkbox" id="autoAlarm" name="autoAlarm" /><label for="autoAlarm">/*[ID_AUTO_POPUP]*/</label></div>
	</div>
	<a href="#" class="alarmHandle <%if(Configs.Alarm.show){ %> alarmClose <%} else { %> alarmOpen <%} %>" hideFocus="true"></a>
	<div id="alarmContent" style="display:<%if(Configs.Alarm.show){ %> block <%} else { %> none; <%} %>;">
	<div class="alarm-list-title">
	<ul class="A-T">
			<li class="A-T-i">/*[ID_INDEX]*/</li>
			<li class="A-T-al">/*[ID_ALARM_LEVEL]*/</li>
			<li class="A-T-r">/*[ID_RELATIVE]*/</li>
			<li class="A-T-sn">/*[ID_SIGNAL_NAME]*/</li>
			<li class="A-T-st">/*[ID_SAMPLE_TIME]*/</li>
	</ul>
	</div>
	<div class="alarm-list alarm-content" id="alarmList">
            <div class="popup alarm-popup" template='<div class="popup-content">{{=it.info}}</div><div class="popup-arrow"></div>'></div>
		    <%
            var lang = jQuery.cookie("language_type");
            var list= it.Content,alen=list.length;
		    var alls=[], oa = [],x=0,ma=[],y=0,ca = [],z=0;
            var LevelName = ["/*[ID_OA]*/", "/*[ID_MA]*/", "/*[ID_CA]*/"];
            for(var a=0;a<alen;a++){
                var alarmTipClass = "";
                if(list[a][4] && list[a][4] !=""){
                    alarmTipClass = "alarm-tip";
                    if(list[a][2][lang].length>30){
                       var alarmTip = "<i info='"+list[a][4][lang]+"' style='background:none;padding:0;_width:220px'>"+list[a][2][lang]+"</i><em></em>";
                    } else {
                        var alarmTip = "<i info='"+list[a][4][lang]+"'>"+list[a][2][lang]+"</i>";
                    }
                } else {
                    var alarmTip =  list[a][2][lang];
                };
                var span = "";
                var levelClass= "";
                switch(list[a][0]){
                    case 1:
                        span = "/*[ID_OA1]*/";
                        levelClass = "OA";
                        break;
                    case 2:
                        span = "/*[ID_MA1]*/";
                        levelClass = "MA";
                        break;
                    case 3:
                        span = "/*[ID_CA1]*/";
                        levelClass = "CA";
                        break;
                }
                var ev = "";
				if(a%2==0){ev="A-L-even";};
                alls.push('<ul class="A-L '+ev+'"><li class="A-L-i">'+(a+1)+'</li><li class="A-L-al"><em>'+span+'</em><span class="A-'+levelClass+'"></span></li><li class="A-L-r" title="'+list[a][1][lang]+'">'+list[a][1][lang]+'</li><li class="A-L-sn '+alarmTipClass+'" title="'+list[a][2][lang]+'">'+alarmTip+'</li><li class="A-L-st">'+list[a][3]+'</li></ul>');
                switch(list[a][0]){
					case 1:
						var ec = "";x++;
						if(x%2!=0){ec="A-L-even";};
						oa.push('<ul class="A-L '+ec+'"><li class="A-L-i">'+x+'</li><li class="A-L-al"><em>'+span+'</em><span class="A-'+levelClass+'"></span></li><li class="A-L-r" title="'+list[a][1][lang]+'">'+list[a][1][lang]+'</li><li class="A-L-sn '+alarmTipClass+'" title="'+list[a][2][lang]+'">'+alarmTip+'</li><li class="A-L-st">'+list[a][3]+'</li></ul>');
                        break;
                    case 2:
						var ec = "";y++;
						if(y%2!=0){ec="A-L-even";};
						ma.push('<ul class="A-L '+ec+'"><li class="A-L-i">'+y+'</li><li class="A-L-al"><em>'+span+'</em><span class="A-'+levelClass+'"></span></li><li class="A-L-r" title="'+list[a][1][lang]+'">'+list[a][1][lang]+'</li><li class="A-L-sn '+alarmTipClass+'" title="'+list[a][2][lang]+'">'+alarmTip+'</li><li class="A-L-st">'+list[a][3]+'</li></ul>');
                        break;
					case 3:
						var ec = "";z++;
						if(z%2!=0){ec="A-L-even";};
                        ca.push('<ul class="A-L '+ec+'"><li class="A-L-i">'+z+'</li><li class="A-L-al"><em>'+span+'</em><span class="A-'+levelClass+'"></span></li><li class="A-L-r" title="'+list[a][1][lang]+'">'+list[a][1][lang]+'</li><li class="A-L-sn '+alarmTipClass+'" title="'+list[a][2][lang]+'">'+alarmTip+'</li><li class="A-L-st">'+list[a][3]+'</li></ul>');
                        break;
				}
			}%>
		<div class="tab_item hide">
			<%=alls.join("")%>
		</div>
		<div class="tab_item hide">
			<%=oa.join("")%>
		</div>
		<div class="tab_item hide">
			<%=ma.join("")%>
		</div>
		<div class="tab_item hide">
			<%=ca.join("")%>
		</div>
	</div>
  </div>
</script>
<script type="text/javascript">
	var isError = false;
	//window.onerror放在所有调用js前面，以监测可能出现的js错误，让这些错误全部返回true;
	//所有可能出现的js错误将不再提示，不会再有因js错误而需要调试
	//需要调试错误，请删除下面"alert(txt)"的注释和注释return true
	window.onerror = function (msg, url, l) {
		isError = true;
		var txt = "";
		txt = "/*[ID_INDEX_TIPS67]*/\n\n";
		txt += "/*[ID_INDEX_TIPS68]*/: " + msg + "\n";
		txt += "URL: " + url + "\n";
		txt += "/*[ID_INDEX_TIPS69]*/: " + l + "\n\n";
		txt += "/*[ID_INDEX_TIPS70]*/\n\n";
		//alert(txt);
		return true
	}
	//如果系统reload时出现语法错误,停留在loading状态。系统将在3秒后重新reload()，以恢复系统正常显示
	function SetReload() {
		setTimeout(function () {
			if (isError) {
				location.reload();
			}
		}, 3000);
	};
	SetReload();
</script>
<script language="javascript">
//定义全局对象Language,用来保存各种语言资源
var Language = {
	Html: {
		'001': "/*[ID_INDEX_TIPS2]*/",
		'002': "/*[ID_INDEX_TIPS3]*/",
		'003': "/*[ID_INDEX_TIPS4]*/",
		"005": "/*[ID_INDEX_TIPS5]*/",
		"011": "/*[ID_INDEX_TIPS6]*/",
		"012": "/*[ID_INDEX_TIPS7]*/",
		"013": "/*[ID_INDEX_TIPS8]*/",
		"014": "/*[ID_INDEX_TIPS9]*/",
		"015": "/*[ID_INDEX_TIPS10]*/",
		"016": "/*[ID_INDEX_TIPS11]*/ ",
		"017": "/*[ID_INDEX_TIPS12]*/",
		"018": "/*[ID_INDEX_TIPS13]*/",
		"019": "/*[ID_INDEX_TIPS14]*/",
		"020": "/*[ID_INDEX_TIPS15]*/",
		"021": "/*[ID_INDEX_TIPS16]*/",
		"022": "/*[ID_INDEX_TIPS17]*/",
		"023": "/*[ID_INDEX_TIPS18]*/",
		"024": "/*[ID_INDEX_TIPS19]*/",
		"025": "/*[ID_INDEX_TIPS20]*/",
		"026": "/*[ID_PEAK_CURR]*/",
		"027": "/*[ID_INDEX_TIPS27]*/",
		"028": "/*[ID_INDEX_TIPS28]*/",
		"029": "/*[ID_INDEX_TIPS29]*/",
		"030": "/*[ID_INDEX_TIPS30]*/",
		"031": "/*[ID_INDEX_TIPS31]*/",
		"032": "/*[ID_INDEX_TIPS32]*/",
		"033": "/*[ID_INDEX_TIPS35]*/",
		"034": "/*[ID_INDEX_TIPS36]*/",
		"035": "/*[ID_INDEX_TIPS37]*/",
		"036": "/*[ID_INDEX_TIPS44]*/",
		"036_1": "/*[ID_INDEX_TIPS59]*/",
		"037": "/*[ID_INDEX_TIPS45]*/",
		"038": "/*[ID_INDEX_TIPS47]*/",
		"039": "/*[ID_INDEX_TIPS51]*/",
		"040": "/*[ID_TIPS15]*/",
		"041": "/*[ID_INDEX_TIPS52]*/",
		"042": "/*[ID_INDEX_TIPS53]*/",
		"043": "/*[ID_INDEX_TIPS54]*/",
		"045": "/*[ID_INDEX_TIPS55]*/",
		"046": "/*[ID_INDEX_TIPS57]*/",
		"047": "/*[ID_INDEX_TIPS58]*/",
		"048": "/*[ID_INDEX_TIPS60]*/",
		"049": "/*[ID_INDEX_TIPS61]*/",
		"050": "/*[ID_INDEX_TIPS62]*/",
		"051": "/*[ID_INDEX_TIPS63]*/",
		"052": "/*[ID_INDEX_TIPS64]*/",
		"053": "/*[ID_INDEX_TIPS65]*/",
		"054": "",
        "055": "/*[ID_INDEX_TIPS71]*/",
        "056": "/*[ID_INDEX_TIPS72]*/",
        "057": "/*[ID_INDEX_TIPS73]*/",
		"058": "/*[ID_INDEX_TIPS74]*/",
		"059": "/*[ID_INDEX_TIPS75]*/",
		"060": "/*[ID_INDEX_TIPS76]*/",
		"061": "/*[ID_INDEX_TIPS77]*/",
		"062": "/*[ID_INDEX_TIPS78]*/",
	},
	Validate: {
		"001": "/*[ID_INDEX_TIPS39]*/",
		"002_int": "/*[ID_INDEX_TIPS40]*/",
		"002_float": "/*[ID_INDEX_TIPS41]*/",
		"002_unsigned_int": "/*[ID_INDEX_TIPS42]*/",
		"003": "/*[ID_INDEX_TIPS43]*/",
		"004": "/*[ID_INDEX_TIPS24]*/",
		"005": "/*[ID_INDEX_TIPS25]*/",
		"006": "/*[ID_INDEX_TIPS26]*/",
		"007": "/*[ID_INDEX_TIPS33]*/",
		"008": "/*[ID_INDEX_TIPS38]*/",
		"009": "/*[ID_INDEX_TIPS46]*/"
	},
	Datetimepicker: {
		monthNames: ["/*[ID_INDEX_TIME1]*/", "/*[ID_INDEX_TIME2]*/", "/*[ID_INDEX_TIME3]*/", "/*[ID_INDEX_TIME4]*/", "/*[ID_INDEX_TIME5]*/", "/*[ID_INDEX_TIME6]*/", "/*[ID_INDEX_TIME7]*/", "/*[ID_INDEX_TIME8]*/", "/*[ID_INDEX_TIME9]*/", "/*[ID_INDEX_TIME10]*/", "/*[ID_INDEX_TIME11]*/", "/*[ID_INDEX_TIME12]*/"],
		monthNamesShort: ["/*[ID_INDEX_TIME13]*/", "/*[ID_INDEX_TIME14]*/", "/*[ID_INDEX_TIME15]*/", "/*[ID_INDEX_TIME16]*/", "/*[ID_INDEX_TIME17]*/", "/*[ID_INDEX_TIME18]*/", "/*[ID_INDEX_TIME19]*/", "/*[ID_INDEX_TIME20]*/", "/*[ID_INDEX_TIME21]*/", "/*[ID_INDEX_TIME22]*/", "/*[ID_INDEX_TIME23]*/", "/*[ID_INDEX_TIME24]*/"],
		dayNames: ["/*[ID_INDEX_TIME25]*/", "/*[ID_INDEX_TIME26]*/", "/*[ID_INDEX_TIME27]*/", "/*[ID_INDEX_TIME28]*/", "/*[ID_INDEX_TIME29]*/", "/*[ID_INDEX_TIME30]*/", "/*[ID_INDEX_TIME31]*/"],
		dayNamesShort: ["/*[ID_INDEX_TIME32]*/", "/*[ID_INDEX_TIME33]*/", "/*[ID_INDEX_TIME34]*/", "/*[ID_INDEX_TIME35]*/", "/*[ID_INDEX_TIME36]*/", "/*[ID_INDEX_TIME37]*/", "/*[ID_INDEX_TIME38]*/"],
		dayNamesMin: ["/*[ID_INDEX_TIME39]*/", "/*[ID_INDEX_TIME40]*/", "/*[ID_INDEX_TIME41]*/", "/*[ID_INDEX_TIME42]*/", "/*[ID_INDEX_TIME43]*/", "/*[ID_INDEX_TIME44]*/", "/*[ID_INDEX_TIME45]*/"],
		currentText: "/*[ID_INDEX_TIME46]*/",
		closeText: "/*[ID_INDEX_TIME47]*/",
		timeText: "/*[ID_INDEX_TIME48]*/",
		hourText: "/*[ID_INDEX_TIME49]*/",
		minuteText: "/*[ID_INDEX_TIME50]*/",
		secondText: "/*[ID_INDEX_TIME51]*/"
	},
	Setting: [
		 "/*[ID_ERROR0]*/",	//[0]"Unknown error!",
		 "/*[ID_ERROR1]*/",	//[1]"Successfully!",
		 "/*[ID_ERROR2]*/",	//[2]"Fail!",
		 "/*[ID_ERROR3]*/",	//[3]"No ahtority!",
		 "/*[ID_ERROR4]*/",	//[4]"No information to send.",
		 "/*[ID_ERROR5]*/",	//[5]"Failure, ACU is hardware protected"
		 "/*[ID_ERROR6]*/"	//[6]"Over time"
	],
	History: [
		 "/*[ID_HIS_ERROR0]*/",	//[0]"Unknown error!",
		 "/*[ID_HIS_ERROR1]*/",	//[1]"Successfully!",
		 "/*[ID_HIS_ERROR2]*/", //[2]"No data to be queried.",
		 "/*[ID_HIS_ERROR3]*/", //[3]"Fail!",
		 "/*[ID_HIS_ERROR4]*/", //[4]"No ahtority!",
		 "/*[ID_HIS_ERROR5]*/", //[5]"Fail to communicate with ACU."
		 "/*[ID_HIS_ERROR6]*/", //[6]"Clear Successfully"
		 "/*[ID_HIS_ERROR7]*/"	//[7]"Over time"
	],
	Chart: {
		"001": "/*[ID_INDEX_TIPS34]*/",
		"002": "/*[ID_INDEX_TIPS48]*/",
		"003": "/*[ID_INDEX_TIPS49]*/",
		"004": "/*[ID_INDEX_TIPS50]*/",
		"005": "/*[ID_TIPS16]*/"
	}          
};
</script>
<!--[if lt IE 9]><script src="../js/excanvas.min.js" type="text/javascript"></script><![endif]-->
<script src="../js/controller.base.js" type="text/javascript"></script>
<script type="text/javascript">
//使用load则，等所有图片等都下载完后才执行
$(window).load(function () {
	require.config({
	    urlArgs: "bust=" +  (new Date()).getTime(),
		//默认页面js加载路径
		baseUrl: '../js/modules',
		//G3所用到的各文件路径,不需要写后缀".js"
		paths: {
			config:'../release/controller.config',
			validate:'../release/controller.validate',
			page:'../release/controller.page',
			chart:'../release/controller.chart',
			control:'../release/controller.control',
			//以下controller.all文件对以上5个文件进行了整合并压缩
			min:'../controller.all'
		}
	});
	
	//开发代码时，development设为true，则会分别加载5个未压缩的文件
	//发布版本时，development设为false，则会加载controller.all.js文件,注意此时要将更改过的代码重新压缩并旋置到文件controller.all.js中
	var development = false;
	var jsArray = development ? ['config','validate','page','chart','control'] : ['min'];

	//利用requirejs中的require函数加载G3依赖的js文件
	require(jsArray, function () {
		Control.Initialization();
	},function(err){
		//其中一个文件加载出错则reload();
		isError=true;
		SetReload();
	});
});
</script>
</body>
</html>
